1. 30 Sep, 2013 1 commit
  2. 02 Aug, 2013 1 commit
  3. 30 Jul, 2013 1 commit
  4. 17 Jul, 2013 2 commits
  5. 01 Jul, 2013 1 commit
  6. 21 Jun, 2013 2 commits
  7. 22 May, 2013 2 commits
  8. 13 May, 2013 1 commit
  9. 03 May, 2013 1 commit
  10. 01 May, 2013 1 commit
  11. 02 Apr, 2013 1 commit
  12. 28 Mar, 2013 2 commits
  13. 21 Mar, 2013 1 commit
  14. 25 Feb, 2013 1 commit
  15. 20 Feb, 2013 1 commit
    • Iustin Pop's avatar
      Switch the curl bindings from optional to required · 1ca709c1
      Iustin Pop authored
      Currently, we support curl being optional via some sporting exercises:
      ifdefs in the code, data types that represent 'Curl is disabled'
      state, etc. However, with the future work on RPC, we would have to
      even make the dependencies list conditional on it, etc. This is too
      much work, when the curl library is included even in stable
      distributions.
      
      This patch changes curl from option to required, the same as the other
      base libraries.
      Signed-off-by: default avatarIustin Pop <iustin@google.com>
      Reviewed-by: default avatarMichele Tartara <mtartara@google.com>
      1ca709c1
  16. 08 Jan, 2013 1 commit
  17. 12 Dec, 2012 1 commit
  18. 10 Dec, 2012 1 commit
  19. 21 Nov, 2012 1 commit
  20. 13 Nov, 2012 1 commit
  21. 26 Oct, 2012 1 commit
  22. 10 Oct, 2012 1 commit
    • Iustin Pop's avatar
      Improve Haskell configure options and detection · 21a5e56c
      Iustin Pop authored
      This patch cleans up  the Haskell library detection and defaults.
      
      First, it makes the base compiler/libraries required, per the email discussion.
      
      It then adds two new small autoconf macros, on to check for a required
      Haskell library and one to do custom action based on test results. We
      use these macros to cleanup and simplify a bit the module detection:
      
      - rapi, confd, and split query are auto detected and enabled if _all_
        required libraries are present
      - unittests are enabled if _all_ required libraries are present
      
      The patch also updates the documentation regarding required libraries.
      
      After this patch, base Ganeti fully buildable on Debian Squeeze/Ubuntu
      Lucid.
      Signed-off-by: default avatarIustin Pop <iustin@google.com>
      Reviewed-by: default avatarGuido Trotter <ultrotter@google.com>
      21a5e56c
  23. 02 Oct, 2012 1 commit
  24. 04 Sep, 2012 1 commit
  25. 13 Aug, 2012 1 commit
    • Iustin Pop's avatar
      Switch the Luxi interface from Strings to ByteStrings · e821050d
      Iustin Pop authored
      I'm doing this change for future performance optimisations. Currently
      we use the Luxi interface just as a client, so not in the hot path,
      but when we'll use this as a server interface, we're interested to
      both reduce the space and time consumption of the interface.
      
      We have to simultaneous changes here:
      
      - switch from using socket-related function (sendto, recv, etc.) to
        handle-based functions, since the standard network library doesn't
        work with sockets
      - switch from using Strings for the internal buffer to strict
        ByteStrings; the only downside is that we now have the issue of
        decoding/encoding from binary to UTF-8 strings, a fact which brings
        its own issues into the mix (we have to check for failed decodings,
        etc.); but this is similar to what we'll have to handle on the
        Python side when moving to Python 3.x
      Signed-off-by: default avatarIustin Pop <iustin@google.com>
      Reviewed-by: default avatarGuido Trotter <ultrotter@google.com>
      e821050d
  26. 27 Jul, 2012 1 commit
  27. 06 Jul, 2012 1 commit
  28. 25 Jun, 2012 1 commit
  29. 24 May, 2012 1 commit
  30. 27 Mar, 2012 1 commit
  31. 10 Feb, 2012 1 commit
  32. 18 Nov, 2011 1 commit
    • Iustin Pop's avatar
      htools: adjust imports for newer compilers · 7345b69b
      Iustin Pop authored
      While testing with ghc 7.2, I saw that some imports we are using are
      very old (from ghc 6.8 time), even though current libraries are using
      different names.
      
      We fix this and bump minimum documented version to ghc 6.12, as I
      don't have 6.10 to test anymore (possibly still works with that
      version, but better safe - both Ubuntu Lucid and Debian Squeeze ship
      with 6.12 nowadays).
      Signed-off-by: default avatarIustin Pop <iustin@google.com>
      Reviewed-by: default avatarMichael Hanselmann <hansmi@google.com>
      7345b69b
  33. 14 Nov, 2011 1 commit
  34. 27 Sep, 2011 1 commit
  35. 26 Sep, 2011 1 commit
  36. 15 Sep, 2011 1 commit